portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ate Douma <...@douma.nu>
Subject Re: Apache Portals portlet-spec dependencies in APA, Pluto and Jetspeed-2 about to be updated
Date Wed, 13 May 2009 02:01:03 GMT
As promised, I'm sending this follow up message to notify you all the release candidates for
the portlet-spec jars have been created.
And, I've updated the APA, Pluto and Jetspeed-2 trunks to now use the portlet-api_2.0_spec-1.0.jar.

Until the voting on these release candidates has been completed successfully, anyone willing
to build one of the APA, Pluto or Jetspeed-2 
projects from trunk will have to checkout and locally install the following projects first
(from the ASF svn tree):

     /portals/portals-pom/tags/1.2
     /portals/portlet-spec/portlet-api_2.0_spec/tags/1.0

Note: anyone already having build and deployed a portal using the previous 1.0-SNAPSHOT version
and/or earlier used portlet-api-2.0.jar, do 
make sure to delete such an old jar from your (Tomcat) shared/lib folder when building and
deploying again.

With kind regards,

Ate

Ate Douma wrote:
> Hi team, dear community,
> 
> For those who have been following the recent changes on APA, Pluto and 
> Jetspeed-2 trunks with regards to the portlet-api (2.0) dependencies, 
> you will have noticed we're in the process of replacing the JCP provided 
> portlet-api artifacts with our own Apache Portals based open source 
> implementations of these specs (both portlet-api 1.0 and 2.0).
> 
> The current APA, Pluto and Jetspeed-2 trunks have been updated to use 
> the current portals/portlet-spec/portlet-api_2.0_spec trunk which has 
> version 1.0-SNAPSHOT, which in turn uses the current portals/portals-pom 
> trunk with version 1.2-SNAPSHOT.
> 
> As the portlet-spec jars haven't been released yet, nor this latest 
> portals-pom, to be able to build either APA, Pluto or Jetspeed-2 from 
> trunk, you'll have to checkout and build/install the 
> portlet-api_2.0_spec trunk yourself first.
> 
> But, I'm about to start the release process for portals-pom-1.2 and the 
> portlet-spec projects 1.0 versions.
> While doing that, their trunk version will get updated and a new version 
> tag will be created for version 1.2 and 1.0 respectively.
> And, thereafter, the trunk versions will be bumped to 1.3-SNAPSHOT and 
> 1.1-SNAPSHOT respectively.
> 
> This means, the current APA, Pluto and Jetspeed-2 trunks used dependency 
> for portlet-api_2.0_spec will *not* be buildable locally anymore.
> Anyone planning to start building either of these projects from scratch 
> should hold off for a short while.
> 
> As soon as I finished the initial release steps, I'll update the APA, 
> Pluto and Jetspeed-2 trunks to use the newly created tagged versions, 
> e.g. portals-pom-1.2 and portlet-api_2.0_spec-1.0.jar.
> After that, anyone wanting to build from scratch then will have to 
> checkout and build/install these tagged versions locally, until after 
> the release voting period (3 working days minimum) and these artifacts 
> hopefully will get distributed to the Central Maven repository.
> 
> I'll send a follow up email to the -dev@ lists after I finished the 
> initial steps as described above.
> 
> With kind regards,
> 
> Ate Douma
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
For additional commands, e-mail: jetspeed-dev-help@portals.apache.org


Mime
View raw message